MonoDoc documentation update always fails with code 5

PeterGoldePeterGolde USMember

Whenever I start MonoDoc, it says Documentation Update Available for Xamarin.iOS. If I chose to do the update, it spends a long time, then finally fails with:

"There was a problem running the update (code 5)".

I have tried this several times on several different days.

Anyone know how to fix this?

Posts

  • iankbiankb USMember

    I had the same problem, and solved it as follows ...

    • Start Xcode
    • Select Preferences
    • Select the Downloads tab
    • Select Check and Install Now
    • Re-Run the MonoDoc merge, after the updates complete.

    Ian.

  • PeterGoldePeterGolde USMember

    Thanks so much! This worked perfectly!

  • JohnLyon-SmithJohnLyon-Smith USMember, Beta ✭✭

    Brilliant! Worked for me also. I already had "iOS 7.1 doc set" and "OS X v10.9 doc set" installed, so pressing "Check and Install Now" did not download anything, but it fixed the MonoDoc update problem. Cheers.

  • WilliamStairWilliamStair USMember

    This problem has resurfaced, but the workaround isn't working any more, not for me at least ;-( I tried a fresh install... any other suggestions?

  • RobbieElliottRobbieElliott USMember ✭✭

    I'm at Xcode 7.3, Xamarin Studio Community 5.10.3 (build 51) and OS X 10.11.4 and I just encountered the same issue. I followed the steps above and I'm good to go! Thank you for the post!

Sign In or Register to comment.